searchData={"items":[{"type":"module","title":"LogHog","doc":"","ref":"LogHog.html"},{"type":"behaviour","title":"LogHog.API.Client","doc":"Behaviour and the default implementation of a PostHog API Client. Uses `Req`.","ref":"LogHog.API.Client.html"},{"type":"type","title":"LogHog.API.Client.client/0","doc":"","ref":"LogHog.API.Client.html#t:client/0"},{"type":"callback","title":"LogHog.API.Client.client/2","doc":"","ref":"LogHog.API.Client.html#c:client/2"},{"type":"callback","title":"LogHog.API.Client.request/4","doc":"","ref":"LogHog.API.Client.html#c:request/4"},{"type":"type","title":"LogHog.API.Client.response/0","doc":"","ref":"LogHog.API.Client.html#t:response/0"},{"type":"type","title":"LogHog.API.Client.t/0","doc":"","ref":"LogHog.API.Client.html#t:t/0"},{"type":"module","title":"LogHog.Config","doc":"LogHog configuration","ref":"LogHog.Config.html"},{"type":"module","title":"Configuration Schema - LogHog.Config","doc":"* `:enable` (`t:boolean/0`) - Automatically start LogHog? The default value is `true`.\n\n* `:public_url` (`t:String.t/0`) - Required. `https://us.i.posthog.com` for US cloud or `https://eu.i.posthog.com` for EU cloud\n\n* `:api_key` (`t:String.t/0`) - Required. Your PostHog Project API key. Find it in your project's settings under Project ID section\n\n* `:api_client_module` (`t:atom/0`) - API Client to use The default value is `LogHog.API.Client`.\n\n* `:supervisor_name` (`t:atom/0`) - Name of the supervisor process running LogHog The default value is `LogHog`.\n\n* `:metadata` (list of `t:atom/0`) - List of metadata keys to include in event properties The default value is `[]`.\n\n* `:capture_level` - Minimum level for logs that should be captured as errors. Errors with `crash_reason` are always captured. The default value is `:error`.","ref":"LogHog.Config.html#module-configuration-schema"},{"type":"type","title":"LogHog.Config.config/0","doc":"","ref":"LogHog.Config.html#t:config/0"},{"type":"function","title":"LogHog.Config.read!/0","doc":"Reads and validates config from global application configuration","ref":"LogHog.Config.html#read!/0"},{"type":"function","title":"LogHog.Config.validate/1","doc":"Validates configuration against the schema","ref":"LogHog.Config.html#validate/1"},{"type":"function","title":"LogHog.Config.validate!/1","doc":"See `validate/1`","ref":"LogHog.Config.html#validate!/1"},{"type":"module","title":"LogHog.Handler","doc":"[`logger handler`](https://www.erlang.org/doc/apps/kernel/logger_chapter.html#handlers)","ref":"LogHog.Handler.html"},{"type":"module","title":"LogHog.Supervisor","doc":"Supervisor that manages all processes required for logging. By default,\n`LogHog` starts it automatically.","ref":"LogHog.Supervisor.html"},{"type":"function","title":"LogHog.Supervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"LogHog.Supervisor.html#child_spec/1"},{"type":"function","title":"LogHog.Supervisor.start_link/1","doc":"","ref":"LogHog.Supervisor.html#start_link/1"},{"type":"extras","title":"LogHog","doc":"# LogHog\n\n[PostHog Error Tracking](https://posthog.com/docs/error-tracking) for Elixir\n\nPostHog Error Tracking is under active development, and so is this library. It\nworks, but there is still a long way ahead of it. Most notably, PostHog's error\ntracking is language-aware and does not support Elixir yet. So we have to\npretend that the errors are coming from Python 🥸. This is the level of \"roughness\naround the edges\" you can expect.","ref":"readme.html"},{"type":"extras","title":"Getting Started - LogHog","doc":"Add `LogHog` to the deps:\n\n```elixir\ndef deps do\n  [\n    {:log_hog, \"~> 0.1\"}\n  ]\nend\n```\n\nConfigure `LogHog` Application environment:\n\n```elixir\nconfig :log_hog,\n  public_url: \"https://us.i.posthog.com\",\n  api_key: \"my_api_key\"\n```\n\nAlternatively, you can attach `LogHog.Handler` yourself.","ref":"readme.html#getting-started"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}